from prompt_searcher.core.interfaces.agent import Agent

class CustomAgent(Agent):
    """
    This is an agent for override.
    """
    def __init__(self, model: str, api_key: str, custom_client, **kwargs):
        self.model = model
        self.client = custom_client(api_key=api_key, **kwargs)

    def generate_response(self, system_message: str, user_message: str) -> str:
        """
        Generate a response from the custom model.

        Args:
            system_message (str): The system message providing context to the model.
            user_message (str): The user message for which the model will generate a response.

        Returns:
            str: The response generated by the model.
        """
        
        ... # Override purposes

        return "Custom response"

# Example usage:
# from some_custom_library import CustomClient
# agent = CustomAgent(model="custom-model", api_key=os.environ.get("CUSTOM_API_KEY", "<your Custom API key if not set as an env var>"), custom_client=CustomClient)
# response = agent.generate_response("System message", "User message")
# print(response)
